Mesa 9.1.5 and Xorg 1.14.2 rolling repos for Rosa Fresh R1

Latest shouts directly from our packagers and call for public testing MIB packages
User avatar
NicCo
Amministratore
Amministratore
Posts: 4738
Joined: 6 December 2007, 19:54

Re: Mesa 9.1.4 and Xorg 1.14.2 rolling repos for Rosa Fresh

Post by NicCo »

New big updates for our wonderfull repos,

main news are:
  • mesa 9.1.5
  • libx11 1.6.1
  • x11-driver-video-ati 7.1.1
  • x11-driver-video-intel 2.21.13
  • x11-driver-video-nuveau 1.0.9
  • others....
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
viking
Utente junior
Utente junior
Posts: 80
Joined: 26 July 2012, 18:43
ROSA: Desktop Fresh R7 x64
OpenMandriva: -
Kernel: 4.1.18-nrjQL-desktop
Desktop: KDE Plasma 5.5.4
country: Serbia

Re: Mesa 9.1.5 and Xorg 1.14.2 rolling repos for Rosa Fresh

Post by viking »

I had a problem installing Intel video driver.

Code: Select all

A requested package cannot be installed:
x11-driver-video-intel-2.21.13-69.1-mib2012.1.x86_64 (due to unsatisfied lib64xcb-util1-0.3.9-2-rosa2012.1.x86_64)
Problem is caused by lib64xcb-util1-0.3.9-69.1-mib2012.1.x86_64.

Simple

Code: Select all

urpmi x11-driver-video-intel --allow-force --force
was enough to successfully install it, but it would be good to fix this reference.

User avatar
GvMariani
Collaboratore
Collaboratore
Posts: 610
Joined: 27 July 2009, 11:31
ROSA: 2016.1 Fresh R10
OpenMandriva: -
Kernel: 4.19.13-nrj-desktop
Desktop: Plasma 5
country: Italy
Location: Cologno Monzese (MI) - Italia

Re: Mesa 9.1.5 and Xorg 1.14.2 rolling repos for Rosa Fresh

Post by GvMariani »

viking wrote:I had a problem installing Intel video driver.

Code: Select all

A requested package cannot be installed:
x11-driver-video-intel-2.21.13-69.1-mib2012.1.x86_64 (due to unsatisfied lib64xcb-util1-0.3.9-2-rosa2012.1.x86_64)
Problem is caused by lib64xcb-util1-0.3.9-69.1-mib2012.1.x86_64.
Simple

Code: Select all

urpmi x11-driver-video-intel --allow-force --force
was enough to successfully install it, but it would be good to fix this reference.
Sorry Viking, AFAICT there is nothing wrong in our rpm:
it sounds like a problem with the dependencies resolving in the latest urpmi because we have in our repository the requested rpm for lib64xcb-util1 so it should pick up this one rather than the standard rosa2012.1 because of the different release number (69.1 being major than 2) but it does not; moreover I found that the problem appears only with urpmi: if you directly go with "rpm -Uvh" on a previously downloaded rpm for the above driver, then the rpm installs without any dependency trouble...

A log with urpmi --verbose of the above problem could also help to investigate why it happens: perhaps this deserves a bug notice on the Rosa bugzilla...

GvM

Post Reply